function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import React, { useEffect, useRef, useState } from 'react';
import { useTyro } from "./hooks";
export default function Log(_ref) {
  var device = _ref.device,
    type = _ref.type,
    tyroUrl = _ref.tyroUrl,
    tyroVersion = _ref.tyroVersion;
  var _useTyro = useTyro({
      url: tyroUrl,
      version: tyroVersion
    }),
    _useTyro2 = _slicedToArray(_useTyro, 2),
    TyroRef = _useTyro2[0],
    load = _useTyro2[1];
  var iClientRef = useRef();
  var _useState = useState(''),
    _useState2 = _slicedToArray(_useState, 2),
    src = _useState2[0],
    setSrc = _useState2[1];
  useEffect(function () {
    if (load && TyroRef.current) {
      var _IClient = TyroRef.current.IClient;
      var _device$config = device.config,
        apiKey = _device$config.apiKey,
        posProductData = _device$config.posProductData;
      var iclient = new _IClient(apiKey, posProductData);
      iClientRef.current = iclient;
      getTerminalInfo(function () {
        var src = (tyroUrl || 'https://iclientsimulator.test.tyro.com') + '/logs.html';
        setSrc(src);
      });
    }
  }, [load]);

  /**
   * @title: 获取设备信息
   * @description: 获取设备信息
   * @param {function} cb
   * @Author: hongbing.wang
   * @Date: 2024-08-19 11:32
   */
  var getTerminalInfo = function getTerminalInfo(cb) {
    var iClient = iClientRef.current;
    if (!iClient) {
      return;
    }
    var integrationKey = device.integrationKey,
      tid = device.tid,
      mid = device.mid;
    iClient.terminalInfo(function (_ref2) {
      var status = _ref2.status,
        message = _ref2.message,
        terminalInfo = _ref2.terminalInfo;
      if (status === 'success') {
        cb(status, message, terminalInfo);
      }
    }, {
      mid: mid,
      tid: tid,
      integrationKey: integrationKey
    });
  };
  useEffect(function () {
    console.log(device);
  }, [device]);
  return /*#__PURE__*/React.createElement("div", {
    style: {
      flex: 1,
      height: '100%'
    }
  }, src ? /*#__PURE__*/React.createElement("iframe", {
    src: src,
    style: {
      width: '100%',
      height: '100%',
      border: 'none'
    }
  }) : null);
}